Bug 1281860 - Automate UI Error: NoMethodError in MiqAeTools#resolve
Automate UI Error: NoMethodError in MiqAeTools#resolve
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.6.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Kyrylo Zvyagintsev
:
: 1281861 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 11:03 EST by mkanoor
Modified: 2015-12-08 08:47 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mkanoor 2015-11-13 11:03:23 EST
Description of problem:
When you click on Automate -> Simulation we get a stack trace


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Open the CFME Web UI
2. Select Automation -> Simulation
3.

Actual results:
NoMethodError in MiqAeTools#resolve

undefined method `[]' for nil:NilClass
   %i(containers images instances providers vandt

     images_filter instances_filter templates_filter templates_images_filter containers_filter

     vms_filter vms_instances_filter).include?(x_tree[:type])

  end


  def show_advanced_search?



Trace of template inclusion: app/views/layouts/_footer.html.haml, app/views/layouts/application.html.haml

Rails.root: /Users/madhukanoor/devsrc/manageiq

Application Trace | Framework Trace | Full Trace
app/helpers/application_helper.rb:1290:in `tree_with_advanced_search?'
app/helpers/application_helper.rb:1111:in `show_adv_search?'
app/views/layouts/_adv_search.html.haml:1:in `_app_views_layouts__adv_search_html_haml__424126363523498490_70300482127420'
/Users/madhukanoor/.gem/ruby/2.2.2/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:145:in `block in render'
/Users/madhukanoor/.gem/ruby/2.2.2/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:166:in `instrument’

Expected results:
We should be able to see the Simulation Screen

Additional info:
Comment 2 Dan Clarizio 2015-11-13 13:50:34 EST
*** Bug 1281861 has been marked as a duplicate of this bug. ***
Comment 4 CFME Bot 2015-11-13 17:10:18 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fb5f46036b1c1ec521bb94b6dbffa47f7299b0d8

commit fb5f46036b1c1ec521bb94b6dbffa47f7299b0d8
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Nov 13 14:47:37 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Fri Nov 13 14:47:37 2015 -0500

    Fixed condition in show_adv_search? method
    
    - Some explorer screens such as Automate/Simulation do not have tree on the left, there is no need to check whether to display advanced search on those screens.
    - Added spec test to verify fix.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281860

 app/helpers/application_helper.rb       |  2 +-
 spec/helpers/application_helper_spec.rb | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)
Comment 6 CFME Bot 2015-11-16 16:20:27 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=53a37e29ae5e2cee5ae9e7c7d2df66a19c7a917a

commit 53a37e29ae5e2cee5ae9e7c7d2df66a19c7a917a
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Nov 13 14:47:37 2015 -0500
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Nov 16 18:05:18 2015 +0100

    Fixed condition in show_adv_search? method
    
    - Some explorer screens such as Automate/Simulation do not have tree on the left, there is no need to check whether to display advanced search on those screens.
    - Added spec test to verify fix.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281860

 app/helpers/application_helper.rb       |  2 +-
 spec/helpers/application_helper_spec.rb | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-16 16:20:59 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fec402599c1724364a82a2b4899929f6ae8b0070

commit fec402599c1724364a82a2b4899929f6ae8b0070
Merge: 24e004d 53a37e2
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Nov 16 14:54:57 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Nov 16 14:54:57 2015 -0500

    Merge branch 'adv_search_fixes' into '5.5.z'
    
    Adv search fixes
    
    https://github.com/ManageIQ/manageiq/pull/5406
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273032
    https://bugzilla.redhat.com/show_bug.cgi?id=1281477
    
    commits:
    ```
    2432e7965fe0b0f00c0ac34c868c1a91284b5b79
    1e7ab38513913e303fce98c131935ca36cc5890b
    ba5ea1ab815aa2fc5468a0a4ddddba3b0f60c069
    b02d35bbf85895c19712d2c8b01242659f08819c
    cc0f2a531c42e4ebfb3ee2df43a9e7fdd7c78d6d
    2c8179f72badd3e4b933f060c5a4a33075498d64
    9d2ca9ce4ae7022a1d8578051bcc7b764bee63cf
    ```
    
    https://github.com/ManageIQ/manageiq/pull/5440
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281860
    
    commits:
    ```
    fb5f46036b1c1ec521bb94b6dbffa47f7299b0d8
    ```
    command:
    git cherry-pick 2432e7 1e7ab3 ba5ea1 b02d35 cc0f2a 2c8179 9d2ca9 fb5f46
    
    
    See merge request !470

 app/controllers/application_controller/filter.rb   |  15 ++-
 app/controllers/configuration_controller.rb        |   8 +-
 app/helpers/application_helper.rb                  |  13 +-
 app/presenters/tree_builder_images.rb              |   2 +-
 app/presenters/tree_builder_images_filter.rb       |   2 +-
 app/presenters/tree_builder_instances_filter.rb    |   2 +-
 app/presenters/tree_builder_vms_filter.rb          |   2 +-
 .../tree_builder_vms_instances_filter.rb           |   2 +-
 db/fixtures/miq_searches.yml                       | 132 ++++++++++-----------
 db/migrate/20151111165020_rename_miq_search_db.rb  |  15 +++
 spec/helpers/application_helper_spec.rb            |  34 +++++-
 11 files changed, 135 insertions(+), 92 deletions(-)
Comment 10 errata-xmlrpc 2015-12-08 08:47:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.